package net.mkonrad.synes.data.instruments;

import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;


import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.MelodyInstrument;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.elements.instruments.CylinderShape;
import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.gui.style.Colors;
import net.mkonrad.synes.util.MusicTools;

public class Bass extends MelodyInstrument
{  
  public Bass()
  {
    super();
    _name = "synes_bass";
    _iconName = "bass.png";
    _texture = "circle.png";
    _color = Colors.yellow;
  }

  public InstrumentShape createInstrumentShape(SynthObj synthData, Point3f pos)
  {
    return new CylinderShape(synthData, pos);
  }
  
  protected float getPitchArg(Vector3f pos)
  {
    return MusicTools.getMidiFromYCoord(pos.y, 1, true);
  }
}
